Subject: Re: Route cache performance under stress

From: "David S. Miller" <[email-masked]>
Date: Mon, 09 Jun 2003 10:21:31 -0700 (PDT)

From: Robert Olsson <[email-masked]>
   Date: Mon, 2 Jun 2003 18:36:37 +0200
   
   Simon Kirby writes:
   
    > Is it possible to have a dst LRU or a simpler approximation of such and
    > recycle dst entries rather than deallocating/reallocating them?  This
    > would relieve a lot of work from the garbage collector and avoid the
    > periodic large garbage collection latency.  It could be tuned to only
    > occur in an attack (I remember Alexey saying that the deferred garbage
    > collection was implemented to reduce latency in normal opreation).
   
    I don't see how this can be done. Others may?

Full recycle is very doable in 2.4.x, in 2.5.x is an enormously hard
problem because we use RCU there (readers run completely without
locks).